package de.ozgcloud.eingang.fim;

import org.springframework.stereotype.Service;
import org.w3c.dom.Element;
import org.w3c.dom.NodeList;

import java.util.Optional;

@Service
public class TestNonStandardAdapter extends FimSchemeAdapter {

    public FimSchemeIdentifier forIdentifier() {
        return FimSchemeIdentifier.fromString("test2");
    }

    public Optional<String> getNameForElement(final Element element) {
        final NodeList nameTags = element.getElementsByTagName("non-standard-name");
        if (nameTags.getLength() != 1) {
            return Optional.empty();
        }
        return Optional.ofNullable(nameTags.item(0).getTextContent());
    }
}
